Nextzy-Assessment-Backend
    • Get Reward
      GET
    • Get user point
      GET
    • PlayHistory
      GET
    • Reward History
      GET
    • Redeem Reward
      POST
    • Play
      POST
    • ResetDB
      POST

      Get user point

      Developing
      GET
      /users/{uid}/point

      Request

      Path Params

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://nextzy-assessment-backend.onrender.com/users/u1/point'
      Response Response Example
      {
          "uid": "u1",
          "totalpoint": 9000,
          "history": [
              {
                  "id": "A",
                  "created_at": "2026-02-07T22:05:49.556Z"
              }
          ]
      }
      Modified at 2026-02-07 23:44:56
      Previous
      Get Reward
      Next
      PlayHistory
      Built with